import React, {PropsWithChildren, useContext} from "react";
import TabsContext from '../../context'
import TabContext, {Mode} from '../../tab-context'

const TabTitle = ({children, className}: PropsWithChildren<any>) => {
    const {setTab} = useContext(TabsContext)
    const {tab, mode} = useContext(TabContext)

    if (Mode.TABS !== mode) {
        return <></>
    }

    return (
        <span className={className} onClick={() => {setTab(tab)}}>
            {children}
        </span>
    )
}

export default TabTitle